package com.muyu.common.data.standard;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 一页 DataSetModel
 *
 * @author LeYang
 * on 2024/5/8
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DataSetModel {
    //[[DataModel,DataModel,DataModel],[DataModel,DataModel,DataModel]
    /**
     * 集合
     */
    private  RecordModel[] dataSetModel = null;

   public int setLength;


  public static DataSetModel build(int dataSetModelLength){
      return build(new RecordModel[dataSetModelLength]);
  }

  public static DataSetModel build(RecordModel[] dataSetModel){
      return DataSetModel.builder()
              .dataSetModel(dataSetModel)
              .setLength(dataSetModel.length)
              .build();
  }



}
