package com.muyu.source.datadisplay;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 资产展示 DataDisplay
 *
 * @author LeYang
 * on 2024/4/29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class DataDisplay {
    /**
     * id
     */
    private Integer id;
    /**
     * 库名
     */
    private String warName;
    /**
     * kvtName
     */
    private String kvtName;
    /**
     * 字段名
     */
    private String fieldName;
    /**
     * 表名
     */
    private String tableName;
    /**
     * 类型
     */
    private String type;
    /**
     * 值
     */
    private Object value;



}
