package com.muyu.source.dictionary;

import lombok.*;

/**
 * 字典類型 DictionaryType
 *
 * @author LeYang
 * on 2024/4/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder

public class DictionaryType{

    /**
     * 主鍵
     */
    private Integer id;

    /**
     * 接口注入
     */
    private Integer dataAccess;

    /**
     * 名稱
     */
    private String name;
    /**
     * 類型
     */
    private String type;
    /**
     * 狀態
     */
    private Integer status;
}
