package com.muyu.source.dictionary;

import lombok.*;

/**
 * 字典 Dictionary
 *
 * @author LeYang
 * on 2024/4/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Dictionaryy  {
    /**
     * 主鍵
     */
    private Integer id;

    /**
     * 字典名稱
     */
    private String dictionaryName;
    /**
     * 字典值
     */
    private Integer dictionaryValue;
    /**
     * 字典類型
     */
    private String type;
    /**
     * 狀態
     */
    private Integer dictionStatus;


}
