package com.muyu.engine.domain;

import com.muyu.model.DataModel;
import com.muyu.model.DataSetModel;
import com.muyu.model.DataStandard;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 测试参数
 *
 * @author Yangle
 * Date 2024/5/16 15:29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EngineVersionReq {

    private String level;

    private Long ruleEngineId;

    private List<String> keys;

    private DataModel dataModel;

    private DataSetModel dataSetModel;

    private DataStandard dataStandard;



}
